/* Social Collage Block Styles */
.social-collage-grid {
	display: grid;
	grid-template-columns: 1.85fr 1.66fr 1.collage-logo.41fr;
	grid-template-rows: 1fr 0.7fr 0.5fr 0.9fr 0.1fr;
	gap: 10px;
	width: 100%;

	margin: 0 auto;

}

.has-white-blue-background-color+.social-collage {
	background: transparent !important
}

.collage-item {
	background: #f4f7fa;
	border-radius: 8px;
	overflow: hidden;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	box-shadow: 0 2px 8px rgba(0, 0, 0, 0.03);
}

.collage-text {
	grid-column: 1 / 2;
	grid-row: 1 / 3;
	background: #2a236b;
	color: #fff;
	align-items: flex-start;
	padding: 48px 40px;
}

.collage-text h2 {

	margin-bottom: 32px;

}

.collage-btn {
	display: inline-block;
	margin-top: 12px;
	padding: 10px 28px;
	border: 1.5px solid #fff;
	border-radius: 6px;
	color: #fff;
	background: transparent;
	font-size: 1.1rem;
	text-decoration: none;
	transition: background 0.2s, color 0.2s;
}

.collage-btn:hover {
	background: #fff;
	color: #2a236b;
}

.collage-img img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	display: block;
	object-position: center;
}

.collage-img {
	padding: 0;
}

.collage-quote {
	grid-column: 3 / 4;
	grid-row: 1 / 4;
	background: #181e36;
	color: #fff;
	padding: 48px 40px;
	text-align: left;
	align-items: flex-start;
	justify-content: flex-start;

}

.collage-quote-meta {
	margin-top: auto;
}

.collage-img-1 {
	grid-column: 2 / 3;
	grid-row: 1 / 4;

}

.collage-img-2 {
	grid-column: 1 / 2;
	grid-row: 3 / 6;
	position: relative;
}

.collage-img-3 {
	grid-column: 3 / 4;
	grid-row: 4 / 6;
}

.collage-quote blockquote {

	margin: 0 0 18px 0;

}

.collage-quote-name {
	font-weight: 400;
	margin-bottom: 12px;
	color: #fff;
}

.collage-quote-role {
	color: #FAFAF7;
	font-weight: 200;
}

.collage-logo {
	background: #ff7c2b;
	display: flex;
	align-items: center;
	justify-content: center;
	position: absolute;
	bottom: 0;
	right: 0;
	width: 52%;
	aspect-ratio: 1;
	border-radius: 8px;
	border-top: solid 10px white;
	border-left: solid 10px white;
	border-bottom-left-radius: 0;
	border-top-right-radius: 0;
}

.collage-logo svg {
	width: 145px;
	height: 145px;
}

.collage-img .fluid {
	padding-bottom: 0 !important;
	height: 100%;
}

.collage-logo img {
	width: 90px;
	height: 90px;
	object-fit: contain;
	margin: 0 auto;
}

.collage-social {
	background: #4d3fd1;
	color: #fff;
	align-items: flex-start;
	padding: 40px 26px;
	grid-column: 2 / 3;
	grid-row: 4 / 6;
}

.collage-social-content {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 12px;
	justify-content: center;

}

.collage-social-content .footer-social li {

	margin-bottom: 0;

}

.collage-social-content .footer-social li a:hover {

	background: rgba(115, 174, 70, .13);
}

.collage-social-content .h5 {
	margin: 0;
	display: inline;
}

.collage-social-content .wp-block-button__link svg {
	width: 16px;
	height: 16px;
}

.collage-social-content .wp-block-button__link.min {
	padding-left: 12px;
	padding-right: 12px;
}

.collage-social-content .wp-block-button__link span {
	display: flex;
	gap: 10px;
	align-items: center;
}

.collage-social-content .wp-block-button__link {
	border-radius: 30px;
	border: 1px solid var(--Adenine-light-blue, #99B0F2);

}

.social-collage-title {
	margin-bottom: 90px;
}

.collage-social-content .wp-block-buttons {
	width: 100%;
	align-items: center;
	justify-content: center;
}

.collage-social-content .footer-social a svg {
	width: 16px;
	height: 16px;
}

.collage-social-content .footer-social a {
	padding: 12px;
	display: flex;
	border: 1px solid var(--Adenine-light-blue, #99B0F2);
	border-radius: 100%;
}

@media (max-width: 900px) {
	.social-collage-grid {
		display: flex;
		flex-direction: column;
		gap: 12px;
	}

	.collage-item {
		justify-content: flex-start;
	}

	.collage-img .fluid {
		padding-bottom: 100% !important;
	}

	.collage-social-content .h5 {
		font-size: 28px;
	}

	.collage-item .footer-social {
		margin: 0;
	}

	.collage-item .wp-block-buttons .wp-block-button {
		display: none;
	}

	.collage-img-2 .img-wrapper {
		padding-bottom: 0 !important;
	}

	.collage-img-2 .img-wrapper img {
		position: static;
		border-radius: 8px;
		overflow: hidden;
	}

	.collage-img-2 {
		display: flex;
		gap: 16px;
		flex-direction: row;
	}

	.collage-img-2 .img-wrapper {
		width: calc(100% - 156px);
	}

	.collage-logo svg {
		width: 85px;
	}

	.collage-logo {
		position: static;
		width: 140px;
		border: 0;
		border-radius: 8px;
	}

	.collage-social-content {
		gap: 16px;
	}

	.collage-item .wp-block-buttons .wp-block-button:last-child {
		display: block;
	}

	.collage-item .footer-social ul {
		gap: 16px;
	}

	.collage-social-content .wp-block-buttons,
	.collage-social-content {
		justify-content: flex-start;
		align-items: flex-start;
	}

	.collage-text {
		order: 0;
	}

	.collage-img-3 {
		display: none;
	}
}